Push stream
Generated reference for the 1 /v1/stream operation of the 0x REST API.
Generated from steamworks sg-backend/openapi.yaml at build 3a4a58e45c+dirty. Do not edit by hand.
Errors are {"error": "..."} with the status (errors); limits are in rate limits.
| Method | Path | Auth | Summary |
|---|---|---|---|
GET | /v1/stream | Bearer token | Push channel |
#GET /v1/stream
Push channel (WebSocket upgrade)
Text frames: JSON events ({"type": "lobby"|"lobby_invite"|"resync"|..., "_eid": "<id>"}).
Binary frames: relay [u64 to][payload] out, [u64 from][payload] in.
Reconnect with ?since=<last \_eid> to receive missed events (drop duplicates by ID).
Auth: Bearer token: Authorization: Bearer <access token> (authentication).
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
since | query | string | no |
| Status | Response |
|---|---|
| 101 | Switching protocols |
| 401 | Bad token |
curl -s "https://api.0x.limo/v1/stream" \
-H "Authorization: Bearer $ZEROX_TOKEN"